2

I'm trying to switch from assoccnt to xassoccnt but I get a few errors on loading the package:

\documentclass{standalone}
\usepackage{xassoccnt}
\begin{document}
bla
\end{document}

when I run pdflatex or xelatex I get

(/usr/share/texlive/texmf-dist/tex/latex/l3kernel/l3candidates.sty)))
(/usr/share/texlive/texmf-dist/tex/latex/l3packages/l3keys2e/l3keys2e.sty)
! Undefined control sequence.
l.38 \str_const:Nn
               \c__xassoccnt_modulename_str {xassoccnt}

I've tried adding a \usepackage{l3str} but then another error message appears:

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!
! LaTeX error: "kernel/property-unknown"
! 
! The key property '.value_forbidden:n' is unknown.
! 
! See the LaTeX3 documentation for further information.
! 
! For immediate help type H <return>.
!...............................................  

l.173 }

Any idea ?

5
  • 1
    what versions are you running of your compilers and packages? This runs fine here.
    – Runar
    Jun 24, 2016 at 10:08
  • 1
    In case of tex.stackexchange.com/questions/313454/… an upgrade to TeXLive 2016 solved this error (the linked problem is about xcntperchap but this internally uses xcntperchap, as far as I know). Jun 24, 2016 at 10:13
  • I am the author of both assoccnt and xassoccnt -- you definitely need a newer expl3 version! Please note that some features of assoccnt are not supported by xassoccnt (yet)
    – user31729
    Jun 24, 2016 at 11:14
  • I'll try to provide a version that does not use expl3 features newer than 2015
    – user31729
    Jun 24, 2016 at 11:31
  • Well, this is odd : my linux mint is up to date ! Thanks !
    – Alexis
    Jun 24, 2016 at 13:17

1 Answer 1

2

Update:

There's xassoccnt v1.5 available on CTAN and TL 2017 by now. In a future release I will remove any 'old-fashioned' compatibility workarounds regarding expl3 - features however. As of writing this (2017/07/29) I have not made a decision, which future version will 'break' older code, however.

xassoccnt uses some features of expl3 that has been added in 2015, especially the \str_const:Nn etc.

I used that features right from the start when I redesigned assoccnt to use expl3 code beginning in October 2015, at that time the used features were available of course (according to the interface3 documentation, the \str_const:Nn code was added on 2015-09-18)

I've uploaded a version xassoccnt.sty v.0.9a that uses \tl variables instead, which are supported quite a long time by now.

Please note that this is no official release: xassoccnt09a, in the DropBox folder under xassoccnt/xassoccnt_0.9a or directly from DropBox: https://www.dropbox.com/s/ckwc8hbr5xeq3v7/xassoccnt.sty?dl=0.

Just place this in a local folder (not in the offical TeX tree)

Note: I don't have a pre Sep-2015 TeXLive tree in order to test my proposition!

The easiest way is of course an update of TeXLive etc.

4
  • Still the same error (the second one). But don't bother working on this for me : if it's my TeXlive that needs updating then I will do what's necessary. Thanks !
    – Alexis
    Jun 24, 2016 at 13:30
  • @Alexis: You don't need the l3str package
    – user31729
    Jun 24, 2016 at 13:32
  • I've commented it out (I added it to try and solve my problem, I've no intention of using it), the problem remains. One again, thanks but don't waste time on this ! I'll update my texlive.
    – Alexis
    Jun 24, 2016 at 13:48
  • @Alexis: Alright, please keep me informed
    – user31729
    Jun 24, 2016 at 16:20

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.